Index: mitk/CoreUI/Bundles/org.mitk.gui.qt.common/src/QmitkFileOpenAction.cpp
===================================================================
--- mitk/CoreUI/Bundles/org.mitk.gui.qt.common/src/QmitkFileOpenAction.cpp	(revision 19900)
+++ mitk/CoreUI/Bundles/org.mitk.gui.qt.common/src/QmitkFileOpenAction.cpp	(working copy)
@@ -18,6 +18,7 @@
 #include "QmitkFileOpenAction.h"
 
 #include <QFileDialog>
+#include <QFileInfo>
 #include <mitkDataTreeNodeFactory.h>
 
 #include <mitkCoreObjectFactory.h>
@@ -38,25 +39,32 @@
 
   this->connect(this, SIGNAL(triggered(bool)), this, SLOT(Run()));
 }
-
 void QmitkFileOpenAction::Run()
 {
+  /**
+   * @brief stores the last path of last opened file
+   */
+  static QString m_LastPath; 
+
   //QFileDialog dialog(static_cast<QWidget*>(m_Window->GetShell()->GetControl()));
   //dialog.setFileMode(QFileDialog::ExistingFiles);
   //QStringList filters;
-  //filters << "Images (*.pic *.pic.gz *.vti *.dcm *.nhdr *.nrrd *.mhd)" 
+  //filters << "Images (*.pic *.pic.gz *.vti *.dcm *.nhdr *.nrrd *.mhd)"
   //  << "Surfaces (*.stl *.vtk *.vtp)"
   //  << "MITK Pointset (*.mps)"
   //  << "All Files (*.*)";
   //dialog.setFilters(filters);
-  QStringList fileNames = QFileDialog::getOpenFileNames(NULL,"Open","/",mitk::CoreObjectFactory::GetInstance()->GetFileExtensions());
+  QStringList fileNames = QFileDialog::getOpenFileNames(NULL,"Open",m_LastPath,mitk::CoreObjectFactory::GetInstance()->GetFileExtensions());
 
   //if (dialog.exec())
   //  fileNames = dialog.selectedFiles();
 
-  if (fileNames.empty()) 
+  if (fileNames.empty())
     return;
 
+  QFileInfo info(fileNames.at(0));
+  m_LastPath = info.filePath();
+  
   mitk::DataStorageEditorInput::Pointer editorInput;
   mitk::DataStorage::Pointer dataStorage;
   QmitkStdMultiWidgetEditor::Pointer multiWidgetEditor;
@@ -86,7 +94,7 @@
         mitk::DataTreeNode::Pointer node;
         node = nodeReader->GetOutput(i);
         if ( node->GetData() != NULL )
-        {  
+        {
           dataStorage->Add(node);
           dsmodified = true;
         }
@@ -97,7 +105,7 @@
 
     }
   }
-  
+
   if (multiWidgetEditor.IsNull())
   {
     cherry::IEditorPart::Pointer editor = m_Window->GetActivePage()->OpenEditor(editorInput, QmitkStdMultiWidgetEditor::EDITOR_ID);
@@ -136,5 +144,5 @@
     mitk::RenderingManager::GetInstance()->RequestUpdateAll();
   }
 
- 
-}
+
+}
\ No newline at end of file
Index: mitk/CoreUI/Bundles/org.mitk.gui.qt.common/src/QmitkFileOpenAction.h
===================================================================
--- mitk/CoreUI/Bundles/org.mitk.gui.qt.common/src/QmitkFileOpenAction.h	(revision 19900)
+++ mitk/CoreUI/Bundles/org.mitk.gui.qt.common/src/QmitkFileOpenAction.h	(working copy)
@@ -36,7 +36,6 @@
   Q_OBJECT
 
 public:
-
   QmitkFileOpenAction(cherry::IWorkbenchWindow::Pointer window);
 
 protected slots:
@@ -44,7 +43,6 @@
   void Run();
 
 private:
-
   cherry::IWorkbenchWindow::Pointer m_Window;
 };
 
